BARMAN-REBUILD-XLOGDB(1)

NAME
barman-rebuild-xlogdb - Barman Sub-Commands

SYNOPSIS

    rebuild-xlogdb
        [ { -h | --help } ]
        SERVER_NAME [ SERVER_NAME ... ]

DESCRIPTION

Rebuild the WAL file metadata for a server (or for all servers using the all shortcut) based on the disk content. The WAL archive metadata is stored in the xlog.db file, with each Barman server maintaining its own copy.

PARAMETERS

SERVER_NAME
    Name of the server in barman node.

-h / --help
    Show a help message and exit. Provides information about command usage.

SHORTCUTS

Use shortcuts instead of SERVER_NAME.
Shortcut | Description
all | All available servers

Author
EnterpriseDB

Copyright
© Copyright EnterpriseDB UK Limited 2011-2026